$ErrorActionPreference = 'Stop'

$packageName = $env:ChocolateyPackageName

$url_x86_64_msi = 'https://github.com/starship/starship/releases/download/v1.18.2/starship-x86_64-pc-windows-msvc.msi'
$url_i686_msi = 'https://github.com/starship/starship/releases/download/v1.18.2/starship-i686-pc-windows-msvc.msi'
$checksum_x86_64_msi = '97926E2BA99CE31E098706D8CCA638D44709B4C935B108BA9490AEC45E597AAC'
$checksum_i686_msi = '65892D58AA8830EBBAEBA2A2F18A2411EC22C354F9B542B7C6CE7EF25E85676F'

$packageArgs = @{
    packageName    = $packageName
    fileType       = 'msi'
    url            = $url_i686_msi
    url64bit       = $url_x86_64_msi
    checksum       = $checksum_i686_msi
    checksum64     = $checksum_x86_64_msi
    checksumType   = 'sha256'
    softwareName   = 'starship*'
    silentArgs     = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
    validExitCodes = @(0, 3010, 1641)
}
Install-ChocolateyPackage @packageArgs

# Add to Profile
Write-Host "Add the following to the end of ~\Documents\PowerShell\Microsoft.PowerShell_profile.ps1 'Invoke-Expression (&starship init powershell)'"
